summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-07-29 06:33:46 +0200
committerHans de Graaff <graaff@gentoo.org>2021-07-29 06:41:01 +0200
commit3d4295a73a15d929e3fb562e3725b9f195240991 (patch)
treeb6313731cb5531003ece6a89309fc3973806f901
parentdev-util/rbtools: cleanup (diff)
downloadgentoo-3d4295a73a15d929e3fb562e3725b9f195240991.tar.gz
gentoo-3d4295a73a15d929e3fb562e3725b9f195240991.tar.bz2
gentoo-3d4295a73a15d929e3fb562e3725b9f195240991.zip
dev-util/rbtools: add 2.0.1
Closes: https://bugs.gentoo.org/804441 Package-Manager: Portage-3.0.20, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-util/rbtools/Manifest1
-rw-r--r--dev-util/rbtools/rbtools-2.0.1.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-util/rbtools/Manifest b/dev-util/rbtools/Manifest
index 5303103c65a..90947fc8a83 100644
--- a/dev-util/rbtools/Manifest
+++ b/dev-util/rbtools/Manifest
@@ -1 +1,2 @@
+DIST RBTools-2.0.1.tar.gz 229394 BLAKE2B a3864c5a39854ffd8744cc562fb888aded06b86945b7b08bab1b172e557b80c0183352068722e6d530a7b0c2fae85f24ae1bbef9116538c5c31735ae5c47f313 SHA512 41ef3f6ad030e3551b76cce5358806442ddc78ad14cb3f2f5978d25858b44647fc80a8a98c84edc112d3e121748fa49aeca0ae24287c392d2f8d1d3b72df12ff
DIST RBTools-2.0.tar.gz 229078 BLAKE2B 23a0c9e9241a6d989044a4197ed5812d81d43b10195788c7754265969166f654af5fafc5ac027f1cf6e9d00bdd7938455beef6719380e09eacf219fa13bc74ab SHA512 aa773744365fcb5bd2ed5413684290c1d794c8bc76f9f9d0fb9400ab1e2baa1b647db85b8992dfea3e3bffe7ee87f2d735b1e6d5385d621d011be62a64d8890b
diff --git a/dev-util/rbtools/rbtools-2.0.1.ebuild b/dev-util/rbtools/rbtools-2.0.1.ebuild
new file mode 100644
index 00000000000..4a077b612df
--- /dev/null
+++ b/dev-util/rbtools/rbtools-2.0.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8,9} )
+
+inherit distutils-r1
+
+MY_PN="RBTools"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Command line tools for use with Review Board"
+HOMEPAGE="https://www.reviewboard.org/"
+SRC_URI="https://downloads.reviewboard.org/releases/${MY_PN}/$(ver_cut 1-2)/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-python/six-1.8.0[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-python/texttable[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+DOCS=( AUTHORS NEWS README.md )
+
+S=${WORKDIR}/${MY_P}
+
+distutils_enable_tests nose
+
+src_prepare() {
+ default
+
+ # Avoid tests with unpackaged kgb for now
+ rm -f rbtools/clients/tests/test_svn.py rbtools/clients/tests/test_git.py \
+ rbtools/clients/tests/test_mercurial.py rbtools/utils/tests.py \
+ rbtools/commands/tests/test_setup_repo.py rbtools/api/tests/test_http_request.py || die
+
+ # Avoid tests requiring unpackaged test data
+ rm -f rbtools/clients/tests/test_scanning.py || die
+}